Git Repositories Search
curl --request GET \
--url https://api.example.com/api/git/repositories/search \
--header 'X-Session-API-Key: <api-key>'import requests
url = "https://api.example.com/api/git/repositories/search"
headers = {"X-Session-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Session-API-Key': '<api-key>'}};
fetch('https://api.example.com/api/git/repositories/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"full_name": "<string>",
"git_provider": "<string>",
"id": "<string>",
"is_public": true,
"main_branch": "<string>",
"pushed_at": "<string>",
"stargazers_count": 123
}
],
"missing_token": false,
"next_page_id": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}Git
Git Repositories Search
List repositories accessible to a configured git provider token.
GET
/
api
/
git
/
repositories
/
search
Git Repositories Search
Authorizations
Query Parameters
Git provider to search
Available options:
github, gitlab, bitbucket Optional repository name filter
Maximum repositories to return
Required range:
1 <= x <= 100Provider-specific page cursor
Was this page helpful?

